get
https://sandboxapi.upayments.com/api/v1/delete-refund
Single Delete Refund (Cancel Refund) by order id
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Refunds can be deleted (cancelled) if they are 'initiated' and not "refunded".Once the refund request is refunded, it cannot be deleted (cancelled).
The request is a POST request with the following parameters:
| Input Parameter | Type | Length | Description |
|---|---|---|---|
| orderId | string, mandatory | 255 | Pass order ID which is received in Create Single Refund API. |
| refundOrderId | string, mandatory | 255 | Pass refund order ID which is received in Create Single Refund API. |
Request Model
{
"orderId" : "k4eJmnNR8pME3OdxVO6m202210101255255144669168767109617317875056497d138ae43fpQ7MVOgvFkaeLckgydR7zPdt6vNiVpNa",
"refundOrderId" : "pQ7MVOgvFkaeLckgydR7zPdt6vNiVpNa"
}Response Model
{
"status": true,
"message": "Refund Invoice is deleted",
"data": {
"order_id": "k4eJmnNR8pME3OdxVO6m202210101255255144669168767109617317875056497d138ae43fpQ7MVOgvFkaeLckgydR7zPdt6vNiVpNa",
"refund_order_id": "pQ7MVOgvFkaeLckgydR7zPdt6vNiVpNa"
}
}